How payments can be split across linked accounts.
When a borrower has multiple linked accounts, a single line of credit payment can be allocated across accounts via LoanPro's Split Payment functionality. This guide explains how to use split payments to apply default or custom payment amounts to linked accounts.
How payment splitting works
Split payments disperse payment amounts across linked accounts. The most common application of this functionality is to use a "parent" line of credit account and linked "child" installment loans or lines of credit.
LoanPro supports two methods for determining how payment amounts are applied to linked accounts:
- Default-based splitting: payment amounts are calculated and automatically applied by the system
- Custom splitting: payment amounts are manually set by the user
What are Split Payment Types?
Split Payment Types are configurable defaults that determine the logic for how split payments are allocated across linked accounts. Once created, they can be referenced for automatic or custom split amount allocations. Note the following regarding Split Payment Types:
- A configured Payment Split Type is required before allocating split payment amounts. Without first configurating a Payment Split Type, payments will apply only to the parent line of credit account.
- A Payment Split Type configuration can be configured to allow default-based or custom amount allocation, but not both. However, you can create multiple Payment Split Types within your environment, allowing you to create a custom type and a default-based type.
- Payment Split Types must be configured by LoanPro's internal team. The ability to create your own Payment Split Types is coming at a later date. For users who would like to get started now, reach out to your LoanPro representative to help with this one-time setup process.
Splitting payments across linked accounts
LoanPro's Split Payment functionality is supported for both one-time payments and AutoPays. Below, we'll break down how to use Split Payments for each payment scenario.
Head's up:
Ensure you have created a Split Payment Type before continuing. As mentioned above, LoanPro's internal team can help create Split Payment Types for you. Reach out to your LoanPro representative to get started.
One-time payments
One-time payments are created by sending a POST request to the LineOfCreditPayments endpoint. See the following reference pages for more detail:
Default-based split amounts
To use a split payment and allocate payment amounts via a pre-configured split type, create a payment and include the following payload details:
isSplit: set this field to1paymentSplitTypeId: the ID of the Split Payment Type configuration
curl --request POST \
--url https://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCreditPayments \
--header 'Authorization: Bearer {token}' \
--header 'Autopal-Instance-Id: {tenantId}' \
--header 'content-type: application/json' \
--data '
{
"entityId": 3125,
"entityType": "Entity.LineOfCredit",
"status": "lineOfCredit.transactionStatus.pending",
"description": "SPLIT PAYMENT",
"applyDate": "2026-07-15",
"amount": 1242.39,
"echeckAuthType": "payment.echeckauth.WEB",
"paymentTypeId": 3,
"paymentProcessorId": 17,
"paymentMethodId": 4,
"paymentAccountId": 190,
"chargeFeeType": "lineOfCredit.convenienceFeeType.waiveConvenienceFee",
"chargeFeeAmount": 0,
"chargeFeePercentage": 0,
"isSplit": 1,
"paymentSplitTypeId": 2,
"metadata": {
"keyValue": "NewValue"
}
}
'
The Split Payment Type will automatically apply the calculated payment amounts to linked accounts.
Custom split amounts
To use a split payment and allocate payment amounts via custom parameters, create a payment and include the following payload details:
isSplit: set this field to1paymentSplitTypeId: the ID of the Split Payment Type configurationCustomPaymentSplitAllocationobject: an object that holds aresultsarray for individual allocation amounts- One entry per linked account, each including an
accountIdandamountvalue
- One entry per linked account, each including an
curl --request POST \
--url https://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCreditPayments \
--header 'Authorization: Bearer {token}' \
--header 'Autopal-Instance-Id: {tenantId}' \
--header 'content-type: application/json' \
--data '
{
"entityId": 3125,
"entityType": "Entity.LineOfCredit",
"status": "lineOfCredit.transactionStatus.pending",
"description": "SPLIT PAYMENT",
"applyDate": "2026-07-15",
"amount": 1600,
"echeckAuthType": "payment.echeckauth.WEB",
"paymentTypeId": 3,
"paymentProcessorId": 17,
"paymentMethodId": 4,
"paymentAccountId": 190,
"chargeFeeType": "lineOfCredit.convenienceFeeType.waiveConvenienceFee",
"chargeFeeAmount": 0,
"chargeFeePercentage": 0,
"isSplit": 1,
"paymentSplitTypeId": 2,
"CustomPaymentSplitAllocation": {
"results": [
{
"accountType": "Entity.Loan",
"accountId": 12027,
"amount": 1000,
"amountType": "lineOfCredit.customSplitAllocationType.fixed"
},
{
"accountType": "Entity.Loan",
"accountId": 12028,
"amount": 200,
"amountType": "lineOfCredit.customSplitAllocationType.fixed"
},
{
"accountType": "Entity.Loan",
"accountId": 12029,
"amount": 400,
"amountType": "lineOfCredit.customSplitAllocationType.fixed"
}
]
},
"metadata": {
"keyValue": "NewValue"
}
}
'
Note that the following validations are made:
- No individual split can exceed the linked account's current balance.
- Split amounts must add up to the total payment
amountfield. - Each
accountIdmust already be linked to the parent line of credit account. - A maximum of 20 splits can be made per payment.
AutoPays
AutoPays are created by sending a PUT request to the LineOfCredits endpoint. See the following reference pages for more detail:
Default-based split amounts
To use a split payment and allocate payment amounts via a pre-configured split type, create a payment and include the following payload details:
isSplit: set this field to1paymentSplitTypeId: the ID of the Split Payment Type configuration
curl --request PUT \
--url https://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCredits({id}) \
--header 'Authorization: Bearer {token}' \
--header 'Autopal-Instance-Id: {tenantId}' \
--header 'content-type: application/json' \
--data '
{
"Autopays": {
"results": [
{
"name": "Monthly Payment",
"type": "autopay.type.recurring",
"amountType": "locAutopay.amountType.statement",
"amount": "",
"chargeServiceFee": 0,
"processCurrent": 1,
"retryDays": 2,
"scheduleNextIfFail": 0,
"applyDate": "2026-06-01",
"processDateTime": "2026-06-01",
"applyLastDayOfMonthEnabled": 0,
"postPaymentUpdate": 0,
"paymentTypeId": 4,
"lastDayOfMonthEnabled": 0,
"methodType": "autopay.methodType.debit",
"recurringFrequency": "autopay.recurringFrequency.monthly",
"recurringDateOption": "autopay.recurringDate.applyDate",
"daysInPeriod": 0,
"schedulingType": "autopay.schedulingType.calendarDay",
"processDateCondition": "calendarDays",
"payoffAdjustment": 0,
"chargeOffRecovery": 0,
"paymentMethodAuthType": "payment.echeckauth.WEB",
"paymentMethodAccountType": "bankacct.type.checking",
"processZeroOrNegativeBalance": 0,
"PrimaryPaymentMethod": {
"__id": 342
},
"mcProcessor": "0",
"ccProcessor": "0",
"isSplit": 1,
"paymentSplitTypeId": 3
}
]
}
}
'
The Split Payment Type will automatically apply the calculated payment amounts to linked accounts.
Custom split amounts
To use a split payment and allocate payment amounts via custom parameters, create a payment and include the following payload details:
isSplit: set this field to1paymentSplitTypeId: the ID of the Split Payment Type configurationCustomPaymentSplitAllocationobject: an object that holds aresultsarray for individual allocation amounts- One entry per linked account, each including an
accountIdandamountvalue
- One entry per linked account, each including an
curl --request PUT \
--url https://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCredits({id}) \
--header 'Authorization: Bearer {token}' \
--header 'Autopal-Instance-Id: {tenantId}' \
--header 'content-type: application/json' \
--data '
{
"Autopays": {
"results": [
{
"name": "Monthly Payment",
"type": "autopay.type.recurring",
"amountType": "locAutopay.amountType.statement",
"amount": 1600,
"chargeServiceFee": 0,
"processCurrent": 1,
"retryDays": 2,
"scheduleNextIfFail": 0,
"applyDate": "2026-06-01",
"processDateTime": "2026-06-01",
"applyLastDayOfMonthEnabled": 0,
"postPaymentUpdate": 0,
"paymentTypeId": 4,
"lastDayOfMonthEnabled": 0,
"methodType": "autopay.methodType.debit",
"recurringFrequency": "autopay.recurringFrequency.monthly",
"recurringDateOption": "autopay.recurringDate.applyDate",
"daysInPeriod": 0,
"schedulingType": "autopay.schedulingType.calendarDay",
"processDateCondition": "calendarDays",
"payoffAdjustment": 0,
"chargeOffRecovery": 0,
"paymentMethodAuthType": "payment.echeckauth.WEB",
"paymentMethodAccountType": "bankacct.type.checking",
"processZeroOrNegativeBalance": 0,
"PrimaryPaymentMethod": {
"__id": 342
},
"mcProcessor": "0",
"ccProcessor": "0",
"isSplit": 1,
"paymentSplitTypeId": 3,
"CustomPaymentSplitAllocation": {
"results": [
{
"accountType": "Entity.Loan",
"accountId": 12027,
"amount": 1000,
"amountType": "lineOfCredit.customSplitAllocationType.fixed"
},
{
"accountType": "Entity.Loan",
"accountId": 12028,
"amount": 200,
"amountType": "lineOfCredit.customSplitAllocationType.fixed"
},
{
"accountType": "Entity.Loan",
"accountId": 12029,
"amount": 400,
"amountType": "lineOfCredit.customSplitAllocationType.fixed"
}
]
}
}
]
}
}
'
Note that the following validations are made:
- No individual split can exceed the linked account's current balance.
- Split amounts must add up to the total payment
amountfield. - Each
accountIdmust already be linked to the parent line of credit account. - A maximum of 20 splits can be made per payment.
Error handling
LoanPro's Split Payment functionality uses a series of validations to ensure valid payment allocation. The following validations are made when custom payment allocations are applied:
No individual split amount can exceed the linked account's current balance
This error is provided when a linked account's custom payment allocation amount exceeds the balance of the linked account. To resolve, reduce the linked account's payment amount and retry the request.
{
"error": {
"message": "Amount 100 exceeds payoff 0 for account Entity.LineOfCredit:61473",
"type": "EntityException",
"code": 0
}
}
Split amounts must add up to the total payment amount field.
amount field.This error is provided when a the summation of all linked account payment amounts does not equal to overall amount listed in the amount field. To resolve, review all payment amounts and retry the request.
{
"error": {
"message": "The sum of allocation amounts must equal the parent payment amount",
"type": "EntityException",
"code": 0
}
}
Each accountId must already be linked to the parent line of credit account
accountId must already be linked to the parent line of credit accountThis error is provided when one or more of the provided linked account IDs represent accounts that are not currently linked to the parent line of credit account. To resolve, provide valid linked account IDs and retry the request.
{
"error": {
"message": "Account Entity.Loan:120030 is not linked to this Line of Credit",
"type": "EntityException",
"code": 0
}
}
A maximum of 20 splits can be made per payment
This error is provided when more than 20 payment splits are attempted in a single request. To resolve, reduce the number of split payment entries and retry the request.
{
"error": {
"message": "You can only log a custom split for up to 20 accounts at once",
"type": "EntityException",
"code": 0
}
}
